com.sun.grid.jgdi.configuration.xml

## Class XMLUtil.Context

- java.lang.Object
- - com.sun.grid.jgdi.configuration.xml.XMLUtil.Context

- Enclosing class:
    XMLUtil

      public static class XMLUtil.Context
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Context(java.io.File file)`
    `Context(IndentedPrintWriter p)`
    `Context(java.io.OutputStream out)`
    `Context(java.io.Writer wr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `include(PropertyDescriptor pd)`
    `boolean` | `isHideBrowseable()`
    `boolean` | `isHideConfigurable()`
    `boolean` | `isHideReadOnly()`
    `void` | `setHideBrowseable(boolean hideBrowseable)`
    `void` | `setHideConfigurable(boolean hideConfigurable)`
    `void` | `setHideReadOnly(boolean hideReadOnly)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Context

          public Context(IndentedPrintWriter p)

    - #### Context

          public Context(java.io.Writer wr)

    - #### Context

          public Context(java.io.OutputStream out)

    - #### Context

          public Context(java.io.File file)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### include

          public boolean include(PropertyDescriptor pd)

    - #### isHideReadOnly

          public boolean isHideReadOnly()

    - #### setHideReadOnly

          public void setHideReadOnly(boolean hideReadOnly)

    - #### isHideConfigurable

          public boolean isHideConfigurable()

    - #### setHideConfigurable

          public void setHideConfigurable(boolean hideConfigurable)

    - #### isHideBrowseable

          public boolean isHideBrowseable()

    - #### setHideBrowseable

          public void setHideBrowseable(boolean hideBrowseable)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.